# $Revision: 1.52 $, $Date: 2007-12-27 23:45:10 $
Summary:	Wrapper for managing inet service using any kind of inet daemon
Summary(pl.UTF-8):	Skrypty do zarządzania usługami inet
Name:		rc-inetd
Version:	0.17
Release:	2
License:	GPL
Group:		Base
Source0:	%{name}-%{version}.tar.bz2
# Source0-md5:	7218ebe82d2755a8d5051bd9b3a1a221
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	inetdaemon
Requires:	rc-scripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Wrapper for managing inet service using any kind inet daemon.

%description -l pl.UTF-8
Skrypty do zarządzania usługami inet przy użyciu dowolnego rodzaju
demona inet.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig/rc-inetd}
install rc-inetd $RPM_BUILD_ROOT/etc/rc.d/init.d
cp -a rc-inetd.conf $RPM_BUILD_ROOT/etc/sysconfig

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add rc-inetd
%service rc-inetd restart

%preun
if [ "$1" = "0" ]; then
	%service rc-inetd stop
	/sbin/chkconfig --del rc-inetd
fi

%files
%defattr(644,root,root,755)
%doc template_inetd template_service
%attr(754,root,root) /etc/rc.d/init.d/rc-inetd
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd.conf
%dir /etc/sysconfig/rc-inetd

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rc-inetd.spec,v $
Revision 1.52  2007-12-27 23:45:10  glen
- rel 2

Revision 1.51  2007-11-01 19:50:24  glen
- update to 0.17

Revision 1.50  2007/09/05 14:25:01  baggins
- rel 6

Revision 1.49  2007/03/31 19:39:15  darekr
- missing BR for %service

Revision 1.48  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.47  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.46  2006/04/10 14:18:06  hawk
- allow administrator disable generating of inetd config
- release 5

Revision 1.45  2006/03/13 22:13:30  glen
- use %service

Revision 1.44  2005/06/08 15:29:24  mmazur
- polish the english

Revision 1.43  2004/11/28 20:20:36  saq
- fix for bug#886: don't crash if there are no services installed
- release 4, STBR for Ac

Revision 1.42  2003/12/21 13:08:47  eothane
- we don't use Id tag in specs

Revision 1.41  2003/11/24 12:27:50  averne
- updated release

Revision 1.40  2003/09/27 23:21:40  ankry
- typo

Revision 1.39  2003/09/26 13:38:07  ankry
- added patch syncing with CVS

Revision 1.38  2003/09/22 22:21:19  hunter
- now it should work.

Revision 1.37  2003/09/19 14:03:34  hunter
- change source -> version++

Revision 1.36  2003/09/18 22:32:26  hunter
- probably a bug fix with some /bin/sh

Revision 1.35  2003/09/13 23:24:25  hunter
- Work!

Revision 1.34  2003/09/13 23:22:52  hunter
- hashed source0

Revision 1.33  2003/09/13 23:17:48  hunter
- up to 0.15

Revision 1.32  2003/09/13 22:20:13  hunter
- more appropriate source url.

Revision 1.31  2003/08/12 15:21:42  qboosh
- more specific Requires

Revision 1.30  2003/05/25 11:00:58  malekith
- massive attack, adding Source-md5

Revision 1.29  2003/05/25 06:26:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.28  2002/11/30 23:00:26  juandon
- new %doc

Revision 1.27  2002/02/22 23:29:40  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:14:47  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/07/26 05:42:23  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.23  2001/01/22 21:23:47  mkochano
- Version 0.14.
- Corrected /etc/rc.d/init.d/rc-inetd script so it will not incorrectly
  complain about service not running.

Revision 1.22  2001/01/21 12:22:56  zagrodzki
- updated to 0.13

Revision 1.21  2000/11/03 15:51:38  kloczek
- adapterized.

Revision 1.20  2000/11/03 14:13:24  misiek
- version 0.12; bugfix release

Revision 1.19  2000/06/30 20:11:11  zagrodzki
- release 2
- prereq: chkconfig

Revision 1.18  2000/05/21 16:35:40  kloczek
- new version 0.11:
  - /etc/rc.d/init.d/rc-inetd - typo (Msg_NotRunning -> Msg_Not_Running)
    (zagrodzki),
- fix: added missing %post, %preun sections.

Revision 1.17  2000/05/05 15:06:00  mis
- Group: synced with PLD groups

Revision 1.16  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:55:06  baggins
- translated kloczkish into english

Revision 1.14  2000/03/28 13:11:40  baggins
- version 0.10, compatible with rc-scripts 0.2.0

Revision 1.13  2000/03/01 17:35:26  kloczek
- release 0.9,
- Defaults are readed for each service. Without this they apply only to the
  first service (mkochano).

Revision 1.12  1999/12/21 18:51:25  kloczek
- release 0.8.2,
- fixed sanity checking on top start and reload,
- added missing busy() after displaing message about reloading configuration.

Revision 1.11  1999/12/21 15:00:20  kloczek
- new version 0.8.1:
  - changed reload scheme (now reload is slyghtly simpler): all reloading
    tasks must be provided by backend inet servise script in reload_config()
    function.

    NOTE: all new inet serwers packages from now must require rc-inet >=
    0.8.1 also packages which provides inet services managed by rc-inetd
    _if_ uses in %post reloading inet serwer configuration must require
    rc-inet >= 0.8.1.

  - added sanity checking is inet service runed on top start, reload
    targets.

Revision 1.10  1999/12/19 00:52:21  bszx
- update to 0.8

Revision 1.9  1999/10/23 08:02:44  waszi
- update to 0.7

Revision 1.8  1999/10/22 09:32:49  wiget
- added templete* as %doc
- fixed bug in rc-inetd
- bzip2ed tarball

Revision 1.7  1999/10/14 00:16:09  kloczek
- new version 0.5,
- fixed handling empty services database (baggins).

Revision 1.6  1999/10/10 14:41:51  baggins
- updated to 0.4

Revision 1.5  1999/10/03 17:31:12  kloczek
- added missing %dir /etc/sysconfig/rc-inetd.

Revision 1.4  1999/10/03 16:00:21  kloczek
- version 0.3,
- fix including $PREAMBULE in config file (wiget).

Revision 1.3  1999/10/03 15:24:23  kloczek
  Version 0.2 (bunch fixes):
- in main script added missing deltext() (waszi),
- SONFIG_FILE -> CONFIG_FILE nad INET_NAME -> PROCESS_NAME (waszi),
- fixed stop and restart target (wiget),
- solve name space colision (wiget),
- fix show() message in main script (wiget).

Revision 1.2  1999/09/02 07:47:42  kloczek
- build as noarch,
- s/BuildPrereq/Requires/; s/clear/clean/.

Revision 1.1  1999/09/02 07:44:43  kloczek
- initial version spec file for rc-inetd.
